import androidx.compose.ui.ExperimentalComposeUiApi
import androidx.compose.ui.platform.LocalDensity
import androidx.compose.ui.platform.LocalWindowInfo
import androidx.compose.ui.unit.dp
import androidx.compose.ui.window.ComposeViewport
import kotlinx.browser.document

@OptIn(ExperimentalComposeUiApi::class)
fun main() {
    ComposeViewport(document.body!!) {
        val large = with(LocalDensity.current) { LocalWindowInfo.current.containerSize.width.toDp() > 840.dp}
        App(sensorManager = null,  isLarge = large, onClose = {},  isWebApp = true)
    }
}